import 'package:flutter/material.dart';
import 'package:walk_2_school/standardized_widgets.dart';

class StartupLoadingPage extends StatelessWidget {
  const StartupLoadingPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.grey[200],
      body: SafeArea(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const Image(
                image: AssetImage('assets/images/Logo.png'),
                height: 200,
              ),
              const Image(
                image: AssetImage('assets/images/Text.png'),
                height: 20,
              ),
              const SizedBox(height: 50),
              CircularProgressIndicator(
                valueColor:
                    AlwaysStoppedAnimation<Color>(StandardizedWidgets.yellow),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
